Program TstXORw;

{ Version
  File:[22,310]TSTXORW.PAS
  Author: Jim Bostwick 5-Dec-83
  History:


Testing P3UTIL module(s):  XORW

}

{$nolist}
{[a+,b+,l-,k+,r+] Pasmat }
%INCLUDE 'EX:[22,320]GENERAL3.TYP';
%INCLUDE 'EX:[22,320]XORW.EXT';

{$list}

Var
  a,b,x:word;

BEGIN
  writeln('XOR test');
  write('enter two numbers, or ^Z to end:');
  while not(eof) do
    BEGIN 
    readln(a,b);
    x := xorw(a,b);
    writeln('a=',a:-8,' b=',b:-8,' xor(a,b)=',x:-8);
    write('enter two numbers, or ^Z to end:')
    END;
  writeln('end of test.')
end.

